---

# tasks file for POD ID validation

- name: Validate the POD
  ansible.builtin.assert:
    quiet: True
    that: 
      - item.pod_id is defined
      - item.pod_id | int == (site_vars | selectattr('site', 'equalto', item.dc) | first | default({})).pod         
    fail_msg: "Validation failed for POD ID '{{ item.pod_id }}' in CSV line {{ i + 1 }}. It should match one of the NetBox locations but found '{{ item.pod_id }}'."
    success_msg: "Validation passed for POD ID '{{ item.pod_id }}' in CSV line {{ i + 1 }}."
  loop: "{{ csv_data }}"
  loop_control:
    label: "{{ 'Verifying that ' +  item.pod_id | string + ' in CSV line '  + ( i + 1 ) | string + ' is valid.' }}"
    index_var: i
    loop_var: item
    extended: True
  register: pod_result
  ignore_errors: True